#![no_std]
#![feature(compiler_builtins_lib)]
#![feature(lang_items)]
#![feature(core_intrinsics)]
#![no_main]

use core::intrinsics;
use core::panic::PanicInfo;
use core::ptr;

#[panic_handler]
fn panic(_info: &PanicInfo) -> ! {
    unsafe { intrinsics::abort() }
}

#[inline(never)]
fn f1() -> u32 {
    unsafe { ptr::read_volatile(&0) }
}

#[no_mangle]
fn main() {
    f1();
}

// cargo rustc --release -- -C linker=true --emit=llvm-ir,llvm-bc
