# llvm callgirl pass

Per Lindgren, Nils Fitinghof, free for all license

Based on https://github.com/sampsyo/llvm-pass-skeleton

Tested on LLVM 7.0 under arch linux.

## Build:

``` sh
    $ cd llvm-pass-skeleton
    $ mkdir build
    $ cd build
    $ cmake ..
    $ make
    $ cd ..
```

Conseqitive re-build is done from the `build` directory using `make`.

## Run:

``` sh
    $ clang -Xclang -load -Xclang build/skeleton/libSkeletonPass.* ctest/test1.c

    $ cd ctest
    $ clang -S -emit-llvm test1.c 
    $ opt -load ../build/skeleton/libSkeletonPass.* -callgirl test1.ll -o dummy.ll
```
